with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version = "2017-09-05";
  name = "osm2pgsql-${version}";

  src = fetchFromGitHub {
    owner = "openstreetmap";
    repo = "osm2pgsql";
    rev = "master";
    sha256 = "0q3nnjciynk0a1v0hvn5nygsm370p34gbyx2ivl742y47rh6c8b7";
  };

  buildInputs = [
    boost
    bzip2
    cmake
    expat
    #libressl    # TLS, crypto implementation
    lua
    openssl     # TLS, crypto implementation
    python python27Packages.psycopg2 # regression tests
    postgresql
    proj
    zlib
  ];

  meta = with stdenv.lib; {
    homepage = http://wiki.openstreetmap.org/wiki/Osm2pgsql;
    description = "osm2pgsql is a tool for loading OpenStreetMap data into a PostgreSQL / PostGIS database suitable for applications like rendering into a map, geocoding with Nominatim, or general analysis.";
    license = licenses.gpl2;
    maintainers = [ maintainers.jpierre03 ];
  };
}

